List billing plans
curl --request GET \
--url https://api.truthlocks.com/v1/billing/plansconst options = {method: 'GET'};
fetch('https://api.truthlocks.com/v1/billing/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/plans"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/plans"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"name": "<string>",
"price": 123,
"currency": "<string>"
}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Billing
List plans
Returns the available plan tiers with pricing, features, and quotas.
GET
/
v1
/
billing
/
plans
List billing plans
curl --request GET \
--url https://api.truthlocks.com/v1/billing/plansconst options = {method: 'GET'};
fetch('https://api.truthlocks.com/v1/billing/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/plans"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/plans"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"name": "<string>",
"price": 123,
"currency": "<string>"
}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}GET /v1/billing/plans
Response
Returns an array of plan objects in order from free to enterprise.Plan identifier used in checkout and subscription responses (e.g.,
plan_developer, plan_business).Monthly base price in USD, including any applicable catalog regional adjustment. Fractional dollar amounts are possible. A zero monthly base price does not mean usage is free.
To check how much a specific usage pattern would cost, use the plan estimator endpoint.

